﻿using AbstractShopDataModels.Enums;
using AbstractShopDataModels.Models;
using System.ComponentModel;

namespace AbstractShopContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }

        public int ProductId { get; set; }

        [DisplayName("Изделие")]
        public string ProductName { get; set; } = string.Empty;

        [DisplayName("Количество")]
        public int Count { get; set; }

        [DisplayName("Сумма")]
        public double Sum { get; set; }

        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;

        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;

        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
    }
}